import JsonToHtml from "@/components/JsonToHtml"

import type { TextProps } from "@/types/components/current/blocks/text"

export default function Text({ text }: TextProps) {
  return (
    <JsonToHtml
      embeds={text.content.embedded_itemsConnection.edges}
      nodes={text.content.json.children}
    />
  )
}
